complexType "BusinessEventIdentifier"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (issuer? | (partyReference?, accountReference?)), eventId?
</...>

Content Model Elements (4):

  accountReference (defined in PartyAndAccountReferences.model group),
  eventId,
  issuer (in eventIdentifier defined in AbstractEvent complexType),
  partyReference (defined in PartyAndAccountReferences.model group)

All Direct / Indirect Based Elements (1):

  eventIdentifier (defined in AbstractEvent complexType)

Known Usage Locations

- As direct type of elements (1):
  eventIdentifier (defined in AbstractEvent complexType)

Annotation
A type defining an event identifier issued by the indicated party.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="BusinessEventIdentifier"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="issuer" type="PartyId"/> <xsd:group ref="PartyAndAccountReferences.model"/> </xsd:choice> <xsd:element minOccurs="0" name="eventId" type="EventId"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/4)
eventId

  Type: | EventId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="eventId" type="EventId"/>

issuer

  Type: | PartyId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="issuer" type="PartyId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.